Summary:	PMD 85 computer family simulator with games
Name:		simpmd
Version:	55
Release:	1%{?dist}
License:	ASL 2.0
Group:		Applications/Emulators
URL:		http://dsrg.mff.cuni.cz/~ceres/prj/SimPMD
# fedora-getsvn simpmd http://shiva.ms.mff.cuni.cz/svn/simpmd/trunk %{version}
Source0:	simpmd-svn%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	SDL-devel
BuildRequires:	popt-devel
# docs are built, but not packaged
BuildRequires:	doxygen
BuildRequires:	graphviz


%description
The program is a full emulator of the PMD 85 line of computers. PMD 85 was
manufactured around 1985 and sported the Intel 8080 processor with
the accompanying peripheral chips running at 2 MHz, 48 kB RAM. It was
the first machine of many computer hobbyists here and yes, I am honing
my nostalgic streak by maintaining this project :-)


%prep
%setup -q -n %{name}


%build
make %{?_smp_mflags} CC_OPTS="$RPM_OPT_FLAGS -DPMD_SHARE=\\\"%{_datadir}/%{name}/\\\""


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_bindir}
install -p -m 0755 bin/simpmd %{buildroot}/%{_bindir}/%{name}
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -a data/. %{buildroot}/%{_datadir}/%{name}
ln -s $(readlink bin/M1 | sed "s/\.\.\/data\///g") %{buildroot}/%{_datadir}/%{name}/M1
ln -s $(readlink bin/M2 | sed "s/\.\.\/data\///g") %{buildroot}/%{_datadir}/%{name}/M2


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc FAQ ABOUT README COPYING CREDITS INSTALL
%{_bindir}/%{name}
%{_datadir}/%{name}


%changelog
* Wed Aug 18 2010 Dan Horák <dan[AT]danny.cz> - 55-1
- updated to svn revision 55

* Tue Aug 25 2009 Dan Horák <dan[AT]danny.cz> - 41-1
- initial Fedora version based on upstream
